=== debian/changelog ===
opm-upscaling (2021.10-4) unstable; urgency=medium

  * d/tests: Added Restrictions: skip-not-installable

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 22 Feb 2022 19:20:59 +0530

opm-upscaling (2021.10-3) unstable; urgency=medium

  * d/control: Removed libsuperlu3-dev from Build-Depends to fix buildd.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 21 Feb 2022 20:40:32 +0530

opm-upscaling (2021.10-2) unstable; urgency=medium

  * d/control: Use standard version 4.6.0.
  * d/control: Remove g++ from Build-Depends.
  * d/control: Build for any architectures.
  * d/control: Added dependency on libboost-date-time-dev to dev package

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 16 Feb 2022 12:44:57 +0100

opm-upscaling (2021.10-1) unstable; urgency=medium

  * Initial release (Closes: #987381)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 16 Nov 2021 19:31:47 +0100
