=== debian/control ===
Source: opm-upscaling
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
Build-Depends: debhelper-compat (= 13), cmake (>=3.10), quilt,
               libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
               gfortran, libtinyxml-dev, bc,
               git, zlib1g-dev, libtool, libopm-material-dev (>=2021.10), libopm-grid-dev (>=2021.10),
               doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
               pkg-config, mpi-default-dev, mpi-default-bin
Standards-Version: 4.6.0
Section: libs
Homepage: http://opm-project.org
Vcs-Browser: https://salsa.debian.org/science-team/opm-upscaling
Vcs-Git: https://salsa.debian.org/science-team/opm-upscaling.git
Rules-Requires-Root: no


Package: libopm-upscaling-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>=2021.10),
         libopm-material-dev (>=2021.10), libboost-date-time-dev
Replaces: libopm-upscaling1-dev
Suggests: libopm-upscaling-doc
Description: Porous media upscaling tools -- development files
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-upscaling provides tools for single phase and relative permeability
 upscaling. During upscaling effective parameters (like porosity,
 permeability, and capillary pressure) for a simulation on a coarser scale
 are computed from properties of a simulation on a fine scale.
 .
 Package provides the development files (headers and shared library links).

Package: libopm-upscaling-bin
Section: science
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libopm-upscaling1-bin
Suggests: libopm-upscaling-doc
Description: Porous media upscaling tools -- applications
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-upscaling provides tools for single phase and relative permeability
 upscaling. During upscaling effective parameters (like porosity,
 permeability, and capillary pressure) for a simulation on a coarser scale
 are computed from properties of a simulation on a fine scale.
 .
 Package provides the upscaling applications.

Package: libopm-upscaling
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${opm:shared-library}
Replaces: libopm-upscaling1
Description: Porous media upscaling tools -- library
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-upscaling provides tools for single phase and relative permeability
 upscaling. During upscaling effective parameters (like porosity,
 permeability, and capillary pressure) for a simulation on a coarser scale
 are computed from properties of a simulation on a fine scale.
 .
 Package provides the shared library used by the upscaling applications.

Package: libopm-upscaling-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Replaces: libopm-upscaling1-doc
Depends: ${misc:Depends}
Description: Porous media upscaling tools -- documentation
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-upscaling provides tools for single phase and relative permeability
 upscaling. During upscaling effective parameters (like porosity,
 permeability, and capillary pressure) for a simulation on a coarser scale
 are computed from properties of a simulation on a fine scale.
 .
 Package provides the documentation of the source code.
