=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

OPM_DEBIAN_CMAKE_FLAGS = -DINSTALL_BENCHMARKS=1

%:
	dh $@

include /usr/share/opm/opm-debian.mk
include /usr/share/opm/opm-lib-debian.mk # for makeshlibs
