## opm-upscaling 2022.04+ds

=== debian/changelog ===
opm-upscaling (2022.04+ds-2) unstable; urgency=medium

  * Changed version in dune.module to 2022.04

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 May 2022 14:21:46 +0200

opm-upscaling (2022.04+ds-1) unstable; urgency=medium

  * New final upstream release 2022.04
  * d/watch: Advertise repackaged source in tarball name.

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 11 May 2022 23:11:48 +0200

opm-upscaling (2022.04~rc1-2) experimental; urgency=medium

  * d/rules: Fix OPM version dependency

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 28 Apr 2022 14:52:36 +0200

opm-upscaling (2022.04~rc1-1) experimental; urgency=medium

  * New upstream release candidate 2022.04-rc1
  * d/control: Fix dependency on OPM version.
  * Dropped patches that are in upstream:
  * d/control: Use debhelper-compat (= 12) to support older Ubuntu.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 28 Apr 2022 00:11:23 +0200

opm-upscaling (2021.10-5) unstable; urgency=medium

  * d/rules: Facilitate building with pbuilder without local libopm-common-dev
  * d/tests: Added allow-stderr to Restrictions.
  * d/control: Added libboost-iostreams-dev to Build-Depends

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 01 Apr 2022 17:57:42 +0200
