=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 13), cmake (>=3.10), quilt,
+Build-Depends: debhelper-compat (= 12), cmake (>=3.10), quilt,
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
+               libboost-iostreams-dev,
                gfortran, libtinyxml-dev, bc,
-               git, zlib1g-dev, libtool, libopm-material-dev (>=2021.10), libopm-grid-dev (>=2021.10),
+               git, zlib1g-dev, libtool, libopm-material-dev (>= 2022.04), libopm-grid-dev (>= 2022.04),
                doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
                pkg-config, mpi-default-dev, mpi-default-bin
 Standards-Version: 4.6.0
@@ -20,8 +21,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>=2021.10),
-         libopm-material-dev (>=2021.10), libboost-date-time-dev
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2022.04),
+         libopm-material-dev (>= 2022.04), libboost-date-time-dev
 Replaces: libopm-upscaling1-dev
 Suggests: libopm-upscaling-doc
 Description: Porous media upscaling tools -- development files
