=== debian/tests/control ===
Test-Command: upscale_perm -bc p -output /tmp/upscale_perm_BCp_PeriodicTilted.txt tests/input_data/grids/PeriodicTilted.grdecl && rm /tmp/upscale_perm_BCp_PeriodicTilted.txt
Depends:
  libopm-upscaling-bin
Restrictions: skip-not-installable, allow-stderr
