## opm-upscaling 2022.10+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -126,3 +126,6 @@
 		install(TARGETS ${benchmark} DESTINATION bin)
 	endif()
 endforeach()
+
+install(DIRECTORY doc/man1 DESTINATION ${CMAKE_INSTALL_MANDIR}
+  FILES_MATCHING PATTERN "*.1")
