=== debian/changelog ===
opm-upscaling (2022.10+ds-4) unstable; urgency=medium

  * Removed stale static benchmarks to really not need git.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 09 Mar 2023 13:36:31 +0100

opm-upscaling (2022.10+ds-3) unstable; urgency=medium

  * d/control: Remove git from Build-Depends as it is not needed.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 09 Mar 2023 00:01:19 +0100

opm-upscaling (2022.10+ds-2) experimental; urgency=medium

  * d/control: Bumped standards version to 4.6.2 (no-change)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 09 Jan 2023 16:57:02 +0100

opm-upscaling (2022.10+ds-1) unstable; urgency=medium

  * New upstream version 2022.10
  * d/control: Bump version dependency on OPM modules.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 15 Nov 2022 16:37:14 +0100

opm-upscaling (2022.10~rc2+ds-1) experimental; urgency=medium

  * New upstream release candidate 2022.10-rc2
  * d/tests: depend on same version of packages for autopkgtest.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 08 Nov 2022 21:01:00 +0100

opm-upscaling (2022.10~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2022.10~rc1
  * Rediff patches

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 04 Nov 2022 10:26:51 +0100
