=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
                libboost-iostreams-dev,
                gfortran, libtinyxml-dev, bc,
-               git, zlib1g-dev, libtool, libopm-material-dev (>= 2022.04), libopm-grid-dev (>= 2022.04),
+               zlib1g-dev, libtool, libopm-material-dev (>= 2022.10), libopm-grid-dev (>= 2022.10),
                doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
                pkg-config, mpi-default-dev, mpi-default-bin
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: http://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-upscaling
@@ -21,8 +21,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2022.04),
-         libopm-material-dev (>= 2022.04), libboost-date-time-dev
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2022.10),
+         libopm-material-dev (>= 2022.10), libboost-date-time-dev
 Replaces: libopm-upscaling1-dev
 Suggests: libopm-upscaling-doc
 Description: Porous media upscaling tools -- development files
