=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,12 @@
 %:
 	dh $@
 
-include /usr/share/opm/opm-debian.mk
-include /usr/share/opm/opm-lib-debian.mk # for makeshlibs
+OPM_DEBIAN_MK ?= /usr/share/opm/opm-debian.mk
+ifneq ("$(wildcard $(OPM_DEBIAN_MK))","")
+   include $(OPM_DEBIAN_MK)
+endif
+OPM_LIB_DEBIAN_MK ?= /usr/share/opm/opm-lib-debian.mk
+ifneq ("$(wildcard $(OPM_LIB_DEBIAN_MK))","")
+    include $(OPM_LIB_DEBIAN_MK) # for makeshlibs
+endif
+
