## opm-upscaling 2023.04+ds

=== debian/changelog ===
opm-upscaling (2023.04+ds-1build1) mantic; urgency=medium

  * No-change rebuild against libumfpack6

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 14:14:03 +0000

opm-upscaling (2023.04+ds-1) unstable; urgency=medium

  * New upstream release 2023.04

 -- Markus Blatt <markus@dr-blatt.de>  Sat, 15 Jul 2023 13:38:02 +0200

opm-upscaling (2022.10+ds-5) unstable; urgency=medium

  * d/control: Limit the architectures to known working ones.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 23 Mar 2023 08:35:48 +0100
