=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
                libboost-iostreams-dev,
                gfortran, libtinyxml-dev, bc,
-               zlib1g-dev, libtool, libopm-material-dev (>= 2022.10), libopm-grid-dev (>= 2022.10),
+               zlib1g-dev, libtool, libopm-grid-dev (>= 2023.04),
                doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
                pkg-config, mpi-default-dev, mpi-default-bin
 Standards-Version: 4.6.2
@@ -19,10 +19,10 @@
 
 Package: libopm-upscaling-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2022.10),
-         libopm-material-dev (>= 2022.10), libboost-date-time-dev
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2023.04),
+         libboost-date-time-dev
 Replaces: libopm-upscaling1-dev
 Suggests: libopm-upscaling-doc
 Description: Porous media upscaling tools -- development files
@@ -39,7 +39,7 @@
 
 Package: libopm-upscaling-bin
 Section: science
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libopm-upscaling1-bin
@@ -58,7 +58,7 @@
 
 Package: libopm-upscaling
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ${opm:shared-library}
