## opm-upscaling 2023.10~rc1+ds

=== debian/changelog ===
opm-upscaling (2023.10~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2023.10~rc1
  * d: Do not try to install removed pkg-config files.
  * d/watch: Also allow downloading upstream release candidates

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 17 Oct 2023 21:24:49 +0200
