=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
                libboost-iostreams-dev,
                gfortran, libtinyxml-dev, bc,
-               zlib1g-dev, libtool, libopm-grid-dev (>= 2023.04),
+               zlib1g-dev, libtool, libopm-grid-dev (>= 2023.10~),
                doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
                pkg-config, mpi-default-dev, mpi-default-bin
 Standards-Version: 4.6.2
@@ -21,7 +21,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2023.04),
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2023.10~),
          libboost-date-time-dev
 Replaces: libopm-upscaling1-dev
 Suggests: libopm-upscaling-doc
