## opm-upscaling 2023.10+ds

=== debian/changelog ===
opm-upscaling (2023.10+ds-2) experimental; urgency=medium

  * d/control: Fix dependency on versioned OPM modules.

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 12 Nov 2023 19:59:21 +0100

opm-upscaling (2023.10+ds-1) experimental; urgency=medium

  * New upstream release 2023.10
  * d/copyright: Update copyright
  * d/control: Depend on final OPM 2023.10 version

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 12 Nov 2023 16:35:27 +0100

opm-upscaling (2023.10~rc2+ds-1) experimental; urgency=medium

  * New upstream release candidate 2023.10-rc2

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 30 Oct 2023 20:34:50 +0100
