## opm-upscaling 2024.04+ds

=== debian/changelog ===
opm-upscaling (2024.04+ds-2) unstable; urgency=medium

  * d/control: depend on OPM >= 2024.04

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 13 May 2024 13:13:15 +0200

opm-upscaling (2024.04+ds-1) unstable; urgency=medium

  * New upstream release 2024.04.

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 May 2024 21:32:23 +0200

opm-upscaling (2024.04~rc2+ds-2) unstable; urgency=medium

  * New upstream release candidate 2024.04~rc2.
  * Depend on OPM >= 2024.04~ 

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 07 May 2024 19:48:43 +0200

opm-upscaling (2024.04~rc2+ds-1) experimental; urgency=medium

  * New upstream release candidate 2024.04~rc2.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 06 May 2024 18:04:52 +0200

opm-upscaling (2024.04~rc1+ds-1) experimental; urgency=medium

  * New release candidate 2024.04~rc1
  * Depend on OPM >= 2024.04~

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 19 Apr 2024 20:11:04 +0200

opm-upscaling (2023.10+ds-3) unstable; urgency=medium

  * Team upload.
  * Add support for loong64
    Closes: #1059847
  * Replace deprecated Build-Depends pkg-config by pkgconf
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 18:51:49 +0100
