=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 12), cmake (>=3.10), quilt,
+Build-Depends: debhelper-compat (= 13), quilt,
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
                libboost-iostreams-dev,
                gfortran, libtinyxml-dev, bc,
-               zlib1g-dev, libtool, libopm-grid-dev (>= 2023.10),
+               zlib1g-dev, libtool, libopm-grid-dev (>= 2024.04),
                doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
-               pkg-config, mpi-default-dev, mpi-default-bin
+               pkgconf, mpi-default-dev, mpi-default-bin
 Standards-Version: 4.6.2
 Section: libs
-Homepage: http://opm-project.org
+Homepage: https://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-upscaling
 Vcs-Git: https://salsa.debian.org/science-team/opm-upscaling.git
 Rules-Requires-Root: no
@@ -19,9 +19,9 @@
 
 Package: libopm-upscaling-dev
 Section: libdevel
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2023.10),
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2024.04),
          libboost-date-time-dev
 Replaces: libopm-upscaling1-dev
 Suggests: libopm-upscaling-doc
@@ -39,7 +39,7 @@
 
 Package: libopm-upscaling-bin
 Section: science
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libopm-upscaling1-bin
@@ -58,7 +58,7 @@
 
 Package: libopm-upscaling
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ${opm:shared-library}
