=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,3 @@
 ifneq ("$(wildcard $(OPM_LIB_DEBIAN_MK))","")
     include $(OPM_LIB_DEBIAN_MK) # for makeshlibs
 endif
-
