=== debian/changelog ===
opm-upscaling (2024.10+ds-1build1) plucky; urgency=medium

  * No-change rebuild for openmpi

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 06 Dec 2024 15:19:38 +0000

opm-upscaling (2024.10+ds-1) unstable; urgency=medium

  * New upstream version 2024.10
  * d/control: Depend on OPM 2024.10
  * d/control: Bumped standards version to 4.7.0 (no changes)
  * d/rules: Use chrpath to strip RUNPATH from installed libs/executables.
  * d/copyright: Update copyright

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 15 Nov 2024 16:54:31 +0100
