=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 13), quilt,
+Build-Depends: debhelper-compat (= 13), quilt, chrpath,
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
                libboost-iostreams-dev,
                gfortran, libtinyxml-dev, bc,
-               zlib1g-dev, libtool, libopm-grid-dev (>= 2024.04),
+               zlib1g-dev, libtool, libopm-grid-dev (>= 2024.10),
                doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
                pkgconf, mpi-default-dev, mpi-default-bin
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-upscaling
@@ -21,7 +21,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2024.04),
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2024.10),
          libboost-date-time-dev
 Replaces: libopm-upscaling1-dev
 Suggests: libopm-upscaling-doc
