## opm-upscaling 2025.04~rc3+ds

=== debian/changelog ===
opm-upscaling (2025.04~rc3+ds-1) experimental; urgency=medium

  *  New upstream pre-release candidate 2025.04~rc3

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 29 Apr 2025 10:51:03 +0200

opm-upscaling (2025.04~rc2+ds-1) experimental; urgency=medium

  * New upstream pre-release candidate 2025.04~rc2

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 16 Apr 2025 15:14:02 +0200

opm-upscaling (2025.04~git20250328.1e8b038+ds-1~exp1) experimental; urgency=medium

  * Prelease version of upcoming 2025.04 release from upstream
  * d/control: Bump standard version to 4.7.2 (no change)
  * d/control: Depend on OPM 2025.04

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 03 Apr 2025 15:42:33 +0200
