## opm-upscaling 2025.04%2Bds

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
                libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
                libboost-iostreams-dev,
                gfortran, libtinyxml-dev, bc,
-               zlib1g-dev, libtool, libopm-grid-dev (>= 2024.10),
+               zlib1g-dev, libtool, libopm-grid-dev (>= 2025.04~),
                doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
                pkgconf, mpi-default-dev, mpi-default-bin
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-upscaling
@@ -21,7 +21,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2024.10),
+Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2025.04~),
          libboost-date-time-dev
 Replaces: libopm-upscaling1-dev
 Suggests: libopm-upscaling-doc
