## opm-upscaling 2025.04+ds

=== debian/changelog ===
opm-upscaling (2025.04+ds-1) unstable; urgency=medium

  * New upstream release version 2025.04
  * d/control: Bump standard version to 4.7.2 (no change)
  * d/control: Depend on OPM 2025.04

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 11 Aug 2025 17:44:01 +0200
