## opm-upscaling 2025.10~git20251002.6d978d4+ds

=== debian/changelog ===
opm-upscaling (2025.10~git20251002.6d978d4+ds-1) experimental; urgency=medium

  * New prerelease version based on commit 5abe82e
  * Depend on OPM 2025.10

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 09 Oct 2025 22:15:04 +0200
