=== debian/changelog ===
opm-upscaling (2025.10+ds-2) unstable; urgency=medium

  * Fix build with boost 1.90 (Closes: 1127251)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 09 Feb 2026 12:15:51 +0100

opm-upscaling (2025.10+ds-1) unstable; urgency=medium

  * New upstrean release 2025.10+ds
  * Depend on OPM 2025.10

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 24 Oct 2025 17:54:02 +0200
