=== debian/control ===
--- 
+++ 
@@ -2,13 +2,26 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 13), quilt, chrpath,
-               libboost-system-dev, libboost-date-time-dev, libboost-test-dev,
+Build-Depends: debhelper-compat (= 13),
+               quilt,
+               chrpath,
+               libboost-dev,
+               libboost-date-time-dev,
+               libboost-test-dev,
                libboost-iostreams-dev,
-               gfortran, libtinyxml-dev, bc,
-               zlib1g-dev, libtool, libopm-grid-dev (>= 2025.04~),
-               doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
-               pkgconf, mpi-default-dev, mpi-default-bin
+               gfortran,
+               libtinyxml-dev,
+               bc,
+               zlib1g-dev,
+               libtool,
+               libopm-grid-dev (>= 2025.10~),
+               doxygen,
+               texlive-latex-extra,
+               texlive-latex-recommended,
+               ghostscript,
+               pkgconf,
+               mpi-default-dev,
+               mpi-default-bin
 Standards-Version: 4.7.2
 Section: libs
 Homepage: https://opm-project.org
@@ -21,8 +34,11 @@
 Section: libdevel
 Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
 Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libopm-grid-dev (>= 2025.04~),
-         libboost-date-time-dev
+Depends: ${opm:shared-library},
+         ${misc:Depends},
+         libopm-grid-dev (>= 2025.10~),
+         libboost-date-time-dev,
+         libboost-dev
 Replaces: libopm-upscaling1-dev
 Suggests: libopm-upscaling-doc
 Description: Porous media upscaling tools -- development files
